Bug 438173 - libGL crashes with software rendering
Summary: libGL crashes with software rendering
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F9Blocker
TreeView+ depends on / blocked
 
Reported: 2008-03-19 15:12 UTC by Bill Nottingham
Modified: 2014-03-17 03:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 03:33:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2008-03-19 15:12:21 UTC
Description of problem:

Even when doing relatively harmless things.

Starting program: /usr/bin/glxinfo 
[Thread debugging using libthread_db enabled]
name of display: :0.0
[New Thread 0x7f8ff03f36f0 (LWP 3157)]
libGL error: open DRM failed (Operation not permitted)
libGL error: reverting to (slow) indirect rendering

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f8ff03f36f0 (LWP 3157)]
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00000039512439b2 in driCreateContext (psc=<value optimized out>,
mode=<value optimized out>, 
    gc=<value optimized out>, shareList=<value optimized out>, renderType=<value
optimized out>) at dri_glx.c:723
#2  0x00000039512209f5 in CreateContext (dpy=<value optimized out>, vis=<value
optimized out>, 
    fbconfig=<value optimized out>, shareList=<value optimized out>,
allowDirect=<value optimized out>, 
    contextID=<value optimized out>, use_glx_1_3=Could not find the frame base
for "CreateContext".
) at glxcmds.c:402
#3  0x0000003951220e63 in glXCreateContext (dpy=<value optimized out>,
vis=<value optimized out>, 
    shareList=<value optimized out>, allowDirect=<value optimized out>) at
glxcmds.c:475
#4  0x000000000040235b in print_screen_info (dpy=0x160e010, scrnum=0,
allowDirect=1, limits=0 '\0')
    at glxinfo.c:409
#5  0x0000000000402d2b in main (argc=1, argv=<value optimized out>) at
glxinfo.c:1153

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.901-10.20080314.fc9.x86_64
mesa-libGL-7.1-0.20.fc9.x86_64
glx-utils-7.1-0.20.fc9.x86_64
xorg-x11-drv-i810-2.2.1-14.fc9.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Run glxinfo, glxgears, etc.

Comment 1 Bill Nottingham 2008-04-09 03:33:45 UTC
Works now.


Note You need to log in before you can comment on or make changes to this bug.